# QIODevice Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QIODevice()
- void QIODevice(QObject parent)

### Constructor Properties

- prototype: The QIODevice prototype object
- NotOpen = 0x0000
- ReadOnly = 0x0001
- WriteOnly = 0x0002
- ReadWrite = ReadOnly|WriteOnly
- Append = 0x0004
- Truncate = 0x0008
- Text = 0x0010
- Unbuffered = 0x0020
- OpenModeFlag( value )
- OpenMode( value1, value2, ... )

### Prototype Object Properties

The QIODevice prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool atEnd()
- qint64 bytesAvailable()
- qint64 bytesToWrite()
- bool canReadLine()
- void close()
- String errorString()
- bool getChar(char c)
- bool isOpen()
- bool isReadable()
- bool isSequential()
- bool isTextModeEnabled()
- bool isWritable()
- bool open(OpenMode mode)
- OpenMode openMode()
- QByteArray peek(qint64 maxlen)
- qint64 pos()
- bool putChar(char c)
- QByteArray read(qint64 maxlen)
- QByteArray readAll()
- QByteArray readLine(qint64 maxlen)
- bool reset()
- bool seek(qint64 pos)
- void setTextModeEnabled(bool enabled)
- qint64 size()
- void ungetChar(char c)
- bool waitForBytesWritten(int msecs)
- bool waitForReadyRead(int msecs)
- qint64 write(QByteArray data)

### Instance Properties

QIODevice objects have no special properties beyond those inherited from the QIODevice prototype object.